# inputdevice.h File Reference

Template Header. More...

`#include <vector>`
`#include <synfig/color.h>`
`#include <synfig/vector.h>`
`#include <synfig/distance.h>`
`#include <synfig/string.h>`
`#include <ETL/handle>`

Go to the source code of this file.

## Namespaces

namespace | synfigapp

## Classes

class | synfigapp::InputDevice
| This class provides a device independent representation the state of an input device. More...
struct | synfigapp::InputDevice::DeviceKey

## Detailed Description

Template Header.

$Id$